;;;Polylinien Abwicklung nach Zeigen einer Polylinie kann diese als abgewickeltes, gerades Element an anderer Stelle in der Zeichnung erstellt werden
(defun c:plab (/ pl pld plli li)
(vl-load-com)
  (defun plab2 (ELEM ptli / dili stpt gesla teillang)
    (setq gesla (vlax-curve-getdistatparam
                  ELEM
                  (vlax-curve-getendparam ELEM)
                  ) ;_ ende von vlax-curve-getdistatparam
          ) ;_ ende von setq
    (repeat (- (length ptli) 1)
      (setq dili  (cons
                    (setq teillang (distance (nth 0 ptli) (nth 1 ptli)))
                    dili
                    ) ;_ ende von cons
            ptli  (cdr ptli)
            gesla (- gesla teillang)
            ) ;_ ende von setq
      ) ;_ ende von repeat
    (if (> gesla 0)
      (setq dili (cons gesla dili))
      ) ;_ ende von if
    (command "_PLINE" (setq stpt (getpoint "\nStartpunkt: ")))
    (mapcar '(lambda (D)
               (command (setq stpt (getvar "lastpoint"))
                        (polar stpt 0.0 D)
                        ) ;_ ende von command
               ) ;_ ende von lambda
            dili
            ) ;_ ende von mapcar
    (command "")
    ) ;_ ende von defun


  (princ "\nPolylinie whlen:")
  (setq pl  (entsel)
        pld (if pl
              (entget (setq pl (car pl)))
              ) ;_ ende von if
        ) ;_ ende von setq
  (if pld
    (cond
      ((= "LWPOLYLINE" (cdr (assoc 0 pld)))
       (setq plli
              (reverse
                (apply 'append
                       (mapcar '(lambda (P)
                                  (if (= 10 (car P))
                                    (list (cdr P))
                                    ) ;_ ende von if
                                  ) ;_ ende von lambda
                               pld
                               ) ;_ ende von mapcar
                       ) ;_ ende von apply
                ) ;_ ende von reverse
             ) ;_ ende von setq
       )
      ((= "POLYLINE" (cdr (assoc 0 pld)))
       (if (= (cdr (assoc 70 pld)) 1)
         (setq flag T)
         ) ;_ ende von if
       (while
         (= (cdr
              (assoc 0
                     (setq pld (entget (entnext (cdr (assoc -1 pld)))))
                     ) ;_ ende von assoc
              ) ;_ ende von cdr
            "VERTEX"
            ) ;_ ende von =
          (setq plli (cons (cdr (assoc 10 pld)) plli))
          ) ;_ ende von while
       )
      ) ;_ ende von cond
    (princ "\nKeine Polylinie gewhlt!")
    ) ;_ ende von if
  (if plli
    (plab2 pl plli)
    (princ "\nKeine Polylinie gewhlt!")
    ) ;_ ende von if
  (princ)
  ) ;_ ende von defun

